import { ListenerRuleId } from './interfaces';
export declare class PriorityAlreadySetError extends Error {
    readonly listenerArn: string;
    constructor(listenerArn: string);
}
export declare class ListenerRuleNotFoundError extends Error {
    readonly listenerRuleId: ListenerRuleId;
    constructor(listenerRuleId: ListenerRuleId);
}
export declare class ListenerRuleAlreadyExistsError extends Error {
    readonly listenerRuleId: ListenerRuleId;
    constructor(listenerRuleId: ListenerRuleId);
}
export declare class ListenerRulePriorityAlreadyTakenError extends Error {
    readonly listenerRuleId: ListenerRuleId;
    readonly priority: number;
    constructor(listenerRuleId: ListenerRuleId, priority: number);
}
